PCPNWI(3NCARG)

NAME
PCPNWI - A function of type CHARACTER*16.

SYNOPSIS
CHARACTER*16 PCPNWI,ENAM
ENAM = PCPNWI (PNAM,IPAI)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_pcpnwi (char *pnam, int *ipai)

DESCRIPTION

PNAM
    (an input constant or variable of type CHARACTER) is a character string, the first two characters of which are the name of an internal parameter array of Plotchar (currently, 'BC' or 'CC').

IPAI
    (an input expression of type INTEGER) is an integer expression specifying the index of that element of the internal parameter array of which one wants the name.

Given the above two arguments, the value of PCPNWI(PNAM,IPAI) is that character string which serves as the name of element IPAI of the internal parameter array identified by PNAM.

For example, if IPAI has the value 3, then the value of "PCPNWI('CC',IPAI)" is the character string 'CC(3)' (padded with blanks to the right) and the call "CALL PCSETI (PCPNWI('CC',IPAI),62)" would give the value 62 to the third element of the parameter array 'CC'.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
This routine generates parameter names for use in calls to other routines. For a complete list of parameters available in this utility, see the plotchar_params man page.

ACCESS
To use PCPNWI or c_pcpnwi, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

MESSAGES
See the plotchar page for a description of all Plotchar error messages and/or informational messages.

SEE ALSO
Online: plotchar, plotchar_params, pcdlsc, pcgetc, pcgeti, pcgetr, pchiqu, pcloqu, pcmequ, pcmpxy, pcrset, pcsetc, pcseti, pcsetr, ncarg_cbind.

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.